javax.enterprise.deploy.shared

## Class DConfigBeanVersionType

- java.lang.Object
- - javax.enterprise.deploy.shared.DConfigBeanVersionType

-     public class DConfigBeanVersionType
      extends Object

  Class DConfigBeanVersionTypes defines enumeration values for the J2EE Platform verion number.
  Author:
    rsearls

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DConfigBeanVersionType` | `V1_3` J2EE Platform version 1.3
    `static DConfigBeanVersionType` | `V1_3_1` J2EE Platform version 1.3.1 THIS CONSTANT SHOULD NEVER BE USED.
    `static DConfigBeanVersionType` | `V1_4` J2EE Platform version 1.4
    `static DConfigBeanVersionType` | `V5` Java EE Platform version 5

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DConfigBeanVersionType(int value)` Construct a new enumeration value with the given integer value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DConfigBeanVersionType` | `getDConfigBeanVersionType(int value)` Return an object of the specified value.
    `protected DConfigBeanVersionType[]` | `getEnumValueTable()` Returns the enumeration value table for class DConfigBeanVersionType
    `protected int` | `getOffset()` Returns the lowest integer value used by this enumeration value's enumeration class.
    `protected String[]` | `getStringTable()` Returns the string table for class DConfigBeanVersionType
    `int` | `getValue()` Returns this enumeration value's integer value.
    `String` | `toString()` Return the string name of this DConfigBeanVersionType or the integer value if outside the bounds of the table

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### V1_3

          public static final DConfigBeanVersionType V1_3

      J2EE Platform version 1.3

    - #### V1_3_1

          public static final DConfigBeanVersionType V1_3_1

      J2EE Platform version 1.3.1 THIS CONSTANT SHOULD NEVER BE USED. Use V1_3 instead.

    - #### V1_4

          public static final DConfigBeanVersionType V1_4

      J2EE Platform version 1.4

    - #### V5

          public static final DConfigBeanVersionType V5

      Java EE Platform version 5

  - ### Constructor Detail

    - #### DConfigBeanVersionType

          protected DConfigBeanVersionType(int value)

      Construct a new enumeration value with the given integer value.
      Parameters:
        `value` - Integer value.

  - ### Method Detail

    - #### getValue

          public int getValue()

      Returns this enumeration value's integer value.
      Returns:
        the value

    - #### getStringTable

          protected String[] getStringTable()

      Returns the string table for class DConfigBeanVersionType

    - #### getEnumValueTable

          protected DConfigBeanVersionType[] getEnumValueTable()

      Returns the enumeration value table for class DConfigBeanVersionType

    - #### getDConfigBeanVersionType

          public static DConfigBeanVersionType getDConfigBeanVersionType(int value)

      Return an object of the specified value.
      Parameters:
        `value` - a designator for the object.

    - #### toString

          public String toString()

      Return the string name of this DConfigBeanVersionType or the integer value if outside the bounds of the table
      Overrides:
        `toString` in class `Object`

    - #### getOffset

          protected int getOffset()

      Returns the lowest integer value used by this enumeration value's enumeration class.

      The default implementation returns 0.

      Returns:
        the offset of the lowest enumeration value.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.